Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbehave.core.model
Class Story

    java.lang.Object
      org.jbehave.core.model.Story

    public class Story

extends Object

Constructor Summary
`Story()`
`Story(Description description, Narrative narrative, List<Scenario> scenarios)`
`Story(List<Scenario> scenarios)`
`Story(String path)`
`Story(String path, Description description, Meta meta, Narrative narrative, GivenStories givenStories, List<Scenario> scenarios)`
`Story(String path, Description description, Meta meta, Narrative narrative, List<Scenario> scenarios)`
`Story(String path, Description description, Narrative narrative, List<Scenario> scenarios)`

Method Summary
`Meta` | `asMeta(String prefix)`
`Description` | `getDescription()`
`GivenStories` | `getGivenStories()`
`Meta` | `getMeta()`
`String` | `getName()`
`Narrative` | `getNarrative()`
`String` | `getPath()`
`List<Scenario>` | `getScenarios()`
`void` | `namedAs(String name)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Story

    public Story()

### Story

    public Story(String path)

### Story

    public Story(List<Scenario> scenarios)

### Story

    public Story(Description description,
                 Narrative narrative,
                 List<Scenario> scenarios)

### Story

    public Story(String path,
                 Description description,
                 Narrative narrative,
                 List<Scenario> scenarios)

### Story

    public Story(String path,
                 Description description,
                 Meta meta,
                 Narrative narrative,
                 List<Scenario> scenarios)

### Story

    public Story(String path,
                 Description description,
                 Meta meta,
                 Narrative narrative,
                 GivenStories givenStories,
                 List<Scenario> scenarios)

Method Detail

### getPath

    public String getPath()

### getDescription

    public Description getDescription()

### getNarrative

    public Narrative getNarrative()

### asMeta

    public Meta asMeta(String prefix)

### getMeta

    public Meta getMeta()

### getGivenStories

    public GivenStories getGivenStories()

### getScenarios

    public List<Scenario> getScenarios()

### getName

    public String getName()

### namedAs

    public void namedAs(String name)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013. All Rights Reserved.